Manage orders - Get product inventory

Retrieves inventory validation results for the provided country or region.

POST https://api.partnercenter.microsoft.com/v{version}/extensions/product/checkinventory
POST https://api.partnercenter.microsoft.com/v{version}/extensions/product/checkinventory?country={country}&resourceType={resourceType}&returnOnlyEligibleProducts={returnOnlyEligibleProducts}

URI Parameters

Name In Required Type Description
version
path True

string

The API version number.

country
query

string

The two-letter country or region code.

resourceType
query

string

The optional resource type used to scope the inventory check.

returnOnlyEligibleProducts
query

boolean

Whether to return only products that are eligible for the inventory context.

Request Header

Media Types: "application/json", "text/json", "application/xml", "text/xml", "application/x-www-form-urlencoded"

Name Required Type Description
Authorization True

string

Authorization Bearer token

ms-correlationid

string

Used for tracking requests internally. If a ms-correlationid is not provided, the server will generate a new one for each request

MS-CV

string

Used for tracking requests internally. If a MS-CV is not provided, the server will generate a new one for each request

ms-requestid

string

Used for idempotency of requests. If a ms-requestid is not provided, the server will generate a new one for each request

Accept True

string

Typically application/json.

Request Body

Media Types: "application/json", "text/json", "application/xml", "text/xml", "application/x-www-form-urlencoded"

Name Type Description
inventoryCheckRequest

Contracts.V1.Models.InventoryCheckRequest

The inventory check request.

Responses

Name Type Description
200 OK

Contracts.V1.Models.InventoryItem[]

The request was successful. The inventory results are returned in the response body.

Media Types: "application/json", "text/json", "application/xml", "text/xml"

Definitions

Name Description
Contracts.V1.Models.InventoryCheckRequest

The inventory check request.

Contracts.V1.Models.InventoryItem
Contracts.V1.Models.InventoryRestriction

The collection of restrictions associated with this inventory item.

Contracts.V1.Models.InventoryCheckRequest

The inventory check request.

Name Type Description
inventoryContext

object

A dictionary of string keys and string values that provides context for the inventory check.

targetItems

Contracts.V1.Models.InventoryItem[]

The collection of target items associated with this inventory check request.

Contracts.V1.Models.InventoryItem

Name Type Description
isRestricted

boolean

Whether is restricted.

productId

string

The unique identifier of the product. Value is typically a GUID.

restrictions

Contracts.V1.Models.InventoryRestriction[]

The collection of restrictions associated with this inventory item.

skuId

string

The unique identifier of the SKU. Value is typically a GUID.

Contracts.V1.Models.InventoryRestriction

The collection of restrictions associated with this inventory item.

Name Type Description
description

string

The description of this item.

properties

object

Additional properties associated with the inventory restriction.

reasonCode

string

The reason code for the inventory restriction.